﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public DelegateCommand SearchCommand { get; set; }
        public ObservableCollection<Data> DataPredicates { get; set; }

        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = this;

            Loaded += MainWindow_Loaded;
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            DataPredicates = new ObservableCollection<Data>();
            DataPredicates.Add(new Data { Label = "Label 1" });
            DataPredicates.Add(new Data { Label = "Label 2" });
            DataPredicates.Add(new Data { Label = "Label 3" });

            SearchCommand = new DelegateCommand(Search);
        }

        void Search()
        {
            MessageBox.Show("Searching for " + DataPredicates[0].Text);
        }
    }

    public class Data
    {
        public string Label { get; set; }

        public string Text { get; set; }
    }
}
